classification
Title: Documentation missing parameter for Itertools.zip_longest
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7
process
Status: closed Resolution:
Dependencies: Superseder:
Assigned To: rhettinger Nosy List: Charles.Merriam, CharlesMerriam, Mariatta, cheryl.sabella, docs@python, rhettinger, yingw787
Priority: normal Keywords: patch

Created on 2019-04-12 20:09 by CharlesMerriam, last changed 2019-05-10 23:31 by rhettinger. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13210 closed python-dev, 2019-05-08 20:01
Messages (8)
msg340107 - (view) Author: Charles Merriam (CharlesMerriam) Date: 2019-04-12 20:09
On page:
https://docs.python.org/3.8/library/itertools.html

In the heading summary, in the "Iterators terminating on the shortest input sequence:" section, in the "zip_longest()" table row, in the "Arguments" column, the text "p, q, ..." should be "p, q, ... [, fillvalue=None]"
msg340113 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-04-12 21:27
Good catch!  In the same section, accumulate() is missing the `initial` argument.  

Would you be interested in submitting a pull request for this?
msg340132 - (view) Author: Charles Merriam (Charles.Merriam) Date: 2019-04-12 23:11
Hi Cheryl,

No.  I've dealt with the Team Python long cycles for random pull requests
before.

Charles

On Fri, Apr 12, 2019 at 2:27 PM Cheryl Sabella <report@bugs.python.org>
wrote:

>
> Cheryl Sabella <cheryl.sabella@gmail.com> added the comment:
>
> Good catch!  In the same section, accumulate() is missing the `initial`
> argument.
>
> Would you be interested in submitting a pull request for this?
>
> ----------
> nosy: +cheryl.sabella
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <https://bugs.python.org/issue36620>
> _______________________________________
>
msg340134 - (view) Author: Cheryl Sabella (cheryl.sabella) * (Python committer) Date: 2019-04-12 23:59
Thanks, Charles.  I'm going to assign this to @Mariatta for the sprints.
msg341928 - (view) Author: Ying Wang (yingw787) * Date: 2019-05-08 18:54
I would like to take a stab at this as a first-time CPython contributor.
msg341957 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-05-09 03:40
Sorry, I don't want to do this in the summary table.  The goal of the table is to provide a minimal overview to help select the appropriate itertool and to provide a fast link to the details given below.
msg341959 - (view) Author: Ying Wang (yingw787) * Date: 2019-05-09 03:46
@rhettinger should this issue be closed if no action is to be taken? If so, should I manually close the pull request referencing this issue, or will that be automatically handled by the Python bug tracker?
msg342142 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2019-05-10 23:31
I'll take care of it. Thank you.
History
Date User Action Args
2019-05-10 23:31:50rhettingersetstatus: open -> closed

messages: + msg342142
stage: patch review -> resolved
2019-05-09 03:46:20yingw787setmessages: + msg341959
2019-05-09 03:40:43rhettingersetassignee: Mariatta -> rhettinger
messages: + msg341957
2019-05-08 20:01:26python-devsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request13121
2019-05-08 18:54:59yingw787setnosy: + yingw787
messages: + msg341928
2019-04-12 23:59:21cheryl.sabellasetassignee: docs@python -> Mariatta

messages: + msg340134
nosy: + Mariatta
2019-04-12 23:15:09xtreaksetnosy: + rhettinger
2019-04-12 23:11:50Charles.Merriamsetnosy: + Charles.Merriam
messages: + msg340132
2019-04-12 21:27:16cheryl.sabellasetnosy: + cheryl.sabella
messages: + msg340113
2019-04-12 20:13:14SilentGhostsetstage: needs patch
versions: + Python 3.7
2019-04-12 20:09:17CharlesMerriamcreate